Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails)

#26 Le 16/11/2005, à 01:21

Golgoth

Re : Nouveau pilotes ATi 8.19.10

le linux-restricted-modules installe comme son nom l'indique des modules, entre autres: fglrx.

mais avec la méthode citée par Valère il est créé par les commandes suivantes:

sudo module-assistant prepare
sudo module-assistant update
sudo module-assistant a-i fglrx

Dell Dimension 9200: E6420 + 8600GTS + 2Go RAM

Hors ligne

#27 Le 17/11/2005, à 04:18

coffee

Re : Nouveau pilotes ATi 8.19.10

j'ai utilisé la méthode "valère" pour tester les drivers puis je suis allé nettoyé mon fichier de conf xorg (pour virer l'inutile) et hop je lance:
$  glxgears -iacknowledgethatthistoolisnotabenchmark
5114 frames in 5.0 seconds = 1022.664 FPS

O_o j'ai gagné 300FPS par rapport à avant

Allez hop on continue avec le logiciel d'ATI:
$ fgl_glxgears
Using GLX_SGIX_pbuffer
673 frames in 5.0 seconds = 134.600 FPS

wahou un gain de 30FPS mais j'ai juste vu un gros cube qui change de couleur -_-

Bon allez je vais reflechir à m'acheter une nvidia pour noel...


Nom d'un tupperware habillé en streetware mangeant de la confiture de pouère et qui se dite où est-ce que je suis ouère !
Tiens mon blog
Les blagues sous forme de fausses aides sont susceptible de ban (ex: rm)

Hors ligne

#28 Le 17/11/2005, à 07:36

Twuix

Re : Nouveau pilotes ATi 8.19.10

Pour moi la commande fglr_gears m'indique une erreur :

X Error of failed request:  BadMatch (invalid parameter attributes)
  Major opcode of failed request:  143 (GLX)
  Minor opcode of failed request:  5 (X_GLXMakeCurrent)
  Serial number of failed request:  32
  Current serial number in output stream:  32

whas ist das ? hmm

#29 Le 17/11/2005, à 08:56

delirii

Re : Nouveau pilotes ATi 8.19.10

Mantacool a écrit :

Pour Golgoth, la réponse est non : je n'avais pas désinstallé les anciens pilotes pas synaptic ni mit le driver dans xorg en ati ...
C'est peut être ça !
Si Delirii y arrive je me lance LOL

Merci encore je vais reessayer ...

Ben ça vient de fonctionner (juste avant d'aller au taf :-) )

Donc tu peux y aller !

Merci à la communauté pour fournir cette aide utile !!

Hors ligne

#30 Le 17/11/2005, à 09:00

delirii

Re : Nouveau pilotes ATi 8.19.10

C'est peut etre pas le bon topic, mais pourquoi mais sortie TV est elle toujours noir et blanc ? Et le SECAM dans tout ça ? (j'suis sur ma peritel, et ça marche très bien avec Windows 2k)

Hors ligne

#31 Le 17/11/2005, à 12:22

Marukakuru

Re : Nouveau pilotes ATi 8.19.10

Hop, à mon tour de poser une question : quelqu'un a-t-il testé ce driver avec un widescreen style 1280x800 pixels ? parce que l'image est brouillée un peu comme pour Canal+ pour ceux qui connaissent.

J'ai réinstallé les drivers, essayé avec aticonfig ou en remplaçant "ati" par "fglrx" dans xorg.conf, mais rien à faire...

Problème de rafraîchissement ?

Voici mon xorg.conf :

# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen         "Default Screen" 0 0
	InputDevice    "Generic Keyboard"
	InputDevice    "Synaptics Touchpad"
	InputDevice    "Configured Mouse"
EndSection

Section "Files"

        # paths to defoma fonts
	FontPath     "/usr/share/X11/fonts/misc"
	FontPath     "/usr/share/X11/fonts/cyrillic"
	FontPath     "/usr/share/X11/fonts/100dpi/:unscaled"
	FontPath     "/usr/share/X11/fonts/75dpi/:unscaled"
	FontPath     "/usr/share/X11/fonts/Type1"
	FontPath     "/usr/share/X11/fonts/CID"
	FontPath     "/usr/share/X11/fonts/100dpi"
	FontPath     "/usr/share/X11/fonts/75dpi"
	FontPath     "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
	FontPath     "/var/lib/defoma/x-ttcidfont-conf.d/dirs/CID"
EndSection

Section "Module"
	Load  "GLcore"
	Load  "bitmap"
	Load  "ddc"
	Load  "dri"
	Load  "extmod"
	Load  "freetype"
	Load  "glx"
	Load  "int10"
	Load  "type1"
	Load  "vbe"
EndSection

Section "InputDevice"
	Identifier  "Generic Keyboard"
	Driver      "kbd"
	Option	    "CoreKeyboard"
	Option	    "XkbRules" "xorg"
	Option	    "XkbModel" "pc104"
	Option	    "XkbLayout" "us(intl)"
EndSection

Section "InputDevice"
	Identifier  "Configured Mouse"
	Driver      "mouse"
	Option      "SendCoreEvents"  "true"
	Option	    "Device" "/dev/psaux"
	Option	    "Protocol" "ImPS/2"
	Option	    "Emulate3Buttons" "true"
	Option	    "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"
	Identifier  "Synaptics Touchpad"
	Driver      "synaptics"
	Option	    "CorePointer"
	Option	    "Device" "/dev/psaux"
	Option	    "Protocol" "auto-dev"
	Option	    "HorizScrollDelta" "0"
EndSection

Section "Monitor"
	Identifier   "Écran générique"
	ModeLine     "1280x800@60" 83.9 1280 1312 1624 1656 800 816 824 841
	Option	    "DPMS"
EndSection

Section "Device"
	Identifier  "ATI Technologies, Inc. Radeon Mobility 9000 M9 (R250 Lf)"
	Driver      "fglrx"
	BusID       "PCI:1:0:0"
        Option     "OpenGLOverlay" "on"
EndSection

Section "Screen"
	Identifier "Default Screen"
	Device     "ATI Technologies, Inc. Radeon Mobility 9000 M9 (R250 Lf)"
	Monitor    "Écran générique"
	DefaultDepth     24
	SubSection "Display"
		Depth     1
		Modes    "1280x800"
	EndSubSection
	SubSection "Display"
		Depth     4
		Modes    "1280x800"
	EndSubSection
	SubSection "Display"
		Depth     8
		Modes    "1280x800"
	EndSubSection
	SubSection "Display"
		Depth     15
		Modes    "1280x800"
	EndSubSection
	SubSection "Display"
		Depth     16
		Modes    "1280x800"
	EndSubSection
	SubSection "Display"
		Depth     24
		Modes    "1280x800"
	EndSubSection
EndSection

Section "DRI"
	Mode         0666
EndSection

9ème corollaire à la loi de Murphy : "L'Univers n'est pas indifférent à l'intelligence, il lui est activement hostile."

Hors ligne

#32 Le 17/11/2005, à 12:36

Golgoth

Re : Nouveau pilotes ATi 8.19.10

Tu es sur de ton modeline?


Dell Dimension 9200: E6420 + 8600GTS + 2Go RAM

Hors ligne

#33 Le 17/11/2005, à 12:42

Marukakuru

Re : Nouveau pilotes ATi 8.19.10

C'est a priori (car non, je n'en suis plus très sûr après toutes mes manips) celui créé par Ubuntu à l'install. En tout cas, il marche bien avec le driver ati d'Ubuntu...

Edit  : je confirme que c'est bien le bon, et qu'il marchait très bien avec la précédente version de drivers officiels ATI.

Dernière modification par Maruk (Le 17/11/2005, à 12:44)


9ème corollaire à la loi de Murphy : "L'Univers n'est pas indifférent à l'intelligence, il lui est activement hostile."

Hors ligne

#34 Le 17/11/2005, à 13:06

Golgoth

Re : Nouveau pilotes ATi 8.19.10

essaie de reconfigurer xorg de cette façon:

passe en mode "texte" avec un ctrl+alt+f1, identifie toi et fais les manips suivantes:

sudo /etc/init.d/gdm stop
sudo dpkg-reconfigure xserver-xorg
sudo /etc/init.d/gdm start

ça m'étonne que l'installation t'ait configuré xorg avec un modeline...


Dell Dimension 9200: E6420 + 8600GTS + 2Go RAM

Hors ligne

#35 Le 17/11/2005, à 13:07

Golgoth

Re : Nouveau pilotes ATi 8.19.10

poste aussi ton /var/log/Xorg.0.log


Dell Dimension 9200: E6420 + 8600GTS + 2Go RAM

Hors ligne

#36 Le 17/11/2005, à 13:50

Marukakuru

Re : Nouveau pilotes ATi 8.19.10

Ça n'a rien changé, le problème est identique. Je commence à me demander si ce n'est pas un nouveau gag d'ATI...

Pour le Xorg.log.0, je te l'envoie par PM (trop long pour le forum...). Bonne lecture ! Mais aucun message d'erreur apparemment...


9ème corollaire à la loi de Murphy : "L'Univers n'est pas indifférent à l'intelligence, il lui est activement hostile."

Hors ligne

#37 Le 18/11/2005, à 02:24

Marukakuru

Re : Nouveau pilotes ATi 8.19.10

Bon ben mauvaise nouvelle : les ATI Radeon Mobility 9200 ne sont pas supportés par ce driver, notamment sur Compaq X1000, HP nx700 et HP zt3000. Je suis donc revenu sous la version 8.18.8.:/

Sur ce, je vais aller me coucher, en rêvant bien fort qu'un jour, ATI nous sorte des pilotes potables. J'ai dit : "en rêvant", pas "en espérant".


9ème corollaire à la loi de Murphy : "L'Univers n'est pas indifférent à l'intelligence, il lui est activement hostile."

Hors ligne

#38 Le 19/11/2005, à 12:12

Twuix

Re : Nouveau pilotes ATi 8.19.10

X Error of failed request:  BadMatch (invalid parameter attributes)
  Major opcode of failed request:  143 (GLX)
  Minor opcode of failed request:  5 (X_GLXMakeCurrent)
  Serial number of failed request:  32
  Current serial number in output stream:  32

Pk j'ai cette erreur quand je lance fgl_glxgears ?
J'ai suivit la methode de valere a la lettre jai modifié mon module avec l agp etc...
jai mit fglrx et non ati.
J'ai tout fait et tjrs pas d'acceleration !

#39 Le 19/11/2005, à 12:13

Twuix

Re : Nouveau pilotes ATi 8.19.10

X Error of failed request:  BadMatch (invalid parameter attributes)
  Major opcode of failed request:  143 (GLX)
  Minor opcode of failed request:  5 (X_GLXMakeCurrent)
  Serial number of failed request:  32
  Current serial number in output stream:  32

Pk j'ai cette erreur quand je lance fgl_glxgears ?
J'ai suivit la methode de valere a la lettre jai modifié mon module avec l agp etc...
jai mit fglrx et non ati.
J'ai tout fait et tjrs pas d'acceleration !

        Load    "GLcore"
        Load    "bitmap"
        Load    "ddc"
        Load    "dri"
        Load    "extmod"
        Load    "freetype"
        Load    "glx"
        Load    "int10"
        Load    "type1"
        Load    "vbe"
EndSection

Section "InputDevice"
        Identifier      "Generic Keyboard"
        Driver          "kbd"
        Option          "CoreKeyboard"
        Option          "XkbRules"      "xorg"
        Option          "XkbModel"      "pc105"
        Option          "XkbLayout"     "fr"
        Option          "XkbVariant"    "latin9"
EndSection

Section "InputDevice"
        Identifier      "Configured Mouse"
        Driver          "mouse"
        Option          "CorePointer"
        Option          "Device"                "/dev/input/mice"
        Option          "Protocol"              "ImPS/2"
        Option          "Emulate3Buttons"       "true"
        Option          "ZAxisMapping"          "4 5"
EndSection

Section "Device"
        Identifier      "Carte vidéo génériqueddÂ<80>a"
        Driver          "fglrx"
        BusID           "PCI:2:0:0"
EndSection

Section "Monitor"
        Identifier      "Écran générique"
        Option          "DPMS"
        HorizSync       30-100
        VertRefresh     50-160
EndSection

Section "Screen"
        Identifier      "Default Screen"
        Device          "Carte vidéo génériqueddÂ<80>a"
        Monitor         "Écran générique"
        DefaultDepth    24
        SubSection "Display"

#40 Le 19/11/2005, à 16:29

Golgoth

Re : Nouveau pilotes ATi 8.19.10

il ne faut pas mettre:

agpgart
nvidia-agp # Ou bien le module de ton chipset : intel-agp / via-agp / sis-agp

dans ton /etc/modules
si tu n'as pas rajouté:

Driver    "fglrx"
Option    "UseInternalAGPGART" "no"

dans la section [Device] de ton xorg.conf

Dernière modification par Golgoth (Le 19/11/2005, à 16:30)


Dell Dimension 9200: E6420 + 8600GTS + 2Go RAM

Hors ligne

#41 Le 19/11/2005, à 17:50

Marcello & co

Re : Nouveau pilotes ATi 8.19.10

La méthode de Valère fonctionne parfaitement en ce qui me concerne mais j'avoue quand même que c'est une vraie usine à gaz tout cela pour installer un simple driver de carte graphique qui n'est pas au format de la distriubtion en question..........je trouve cela décevant et j'en profite pour lancer un débat sur à mon sens, la ridicule profusion de distributions Linux ( cf www.quebecos.com ) ; certaines étant majeures et d'autres des dérivées des précédentes ; j'ai vraiment l'impression que chacun bidouille dans son coin au risque d'aboutir à une trop grande spécificité de chaque distribution à format de fichier équivalent ( ex rpm mandrake et suse qui ne sont pas forcément compatibles ) alors qu'il serait plus profitable d'unir ses forces pour résoudre les problèmes du style "installation d'un pilote de carte graphique" pour ne citer que celui-ci.

Marcello

Hors ligne

#42 Le 19/11/2005, à 18:00

Julian

Re : Nouveau pilotes ATi 8.19.10

Salut Marcello & co,

D'accord avec toi pour l'installation des drivers ATI, ma prochaine carte sera une Nvidia.
Si tu veux un driver graphique qui s'installe en 2 secondes prend donc ce genre de carte, je laisse tomber ATI.

Quand aux histoires que chacun bidouilles dans son coin, pour les drivers graphiques ati c'est un peu hors sujet puisque c'est directement ati qui a les cartes en main, on dépend d'eux. Ati a longtemps ignorés linux désormais ils nous sortent des drivers mais c'est des grosses bouses, il n'y a qu'à regarder tous les posts à ce sujet.

Dernière modification par Julian (Le 19/11/2005, à 18:03)


julian@jabber.fr

Hors ligne

#43 Le 19/11/2005, à 18:18

Marcello

Re : Nouveau pilotes ATi 8.19.10

J'ai fait le chemin inverse ( de Nvidia à Ati ) et effectivement la procédure d'install de Nvidia est simple et efficace. Ati a tout de même fait de gros progrès.
Nous critiquons actuellement ATI mais je peux te dire que ce n'est pas le seul fabricant qui se moque du monde Linux : as tu essayé d'installer une webcam Logitech messenger ? un modem USB speedtouch ? cela fonctionne mais quel bidouillage et que de temps perdu .....heureusement que des Linuxiens "experts" mettent à la disposition des autres des astuces sinon je crois que cet OS n'aurait pas dépasser le cercle des initiés.

#44 Le 19/11/2005, à 18:32

Julian

Re : Nouveau pilotes ATi 8.19.10

Marcello a écrit :

Nous critiquons actuellement ATI mais je peux te dire que ce n'est pas le seul fabricant qui se moque du monde Linux : as tu essayé d'installer une webcam Logitech messenger ? un modem USB speedtouch ?

Ben disons que désormais pour moi:
Fai Internet = modem ethernet (sinon rien) connecté à chaque fois en 30 secondes sous linux cool.

Quand on pas le choix, c'est vrai que c'est galère, mais sinon faut être un peu maso pour prendre encore des modems usb lol

Pas de webcam.


julian@jabber.fr

Hors ligne

#45 Le 19/11/2005, à 18:50

Marcello

Re : Nouveau pilotes ATi 8.19.10

je te rassure : j'ai largué mon modem usb pour un routeur netgear et la configuration d'internet via connexion ethernet est un jeu d'enfant........quand je pense à toutes ces heures perdues passées à trouver de l'info sur le net cela me fout les boules.......

#46 Le 20/11/2005, à 00:00

Marukakuru

Re : Nouveau pilotes ATi 8.19.10

Twuix > Tu as bien viré le kernel-restricted-modules ? Sinon ce sont les librairies Mesa qui sont utilisées et pas celles d'ATI. Et dans ce cas, je sais par expérience que même si le pilote fglrx est chargé, il fonctionne mal et fgl_glxgears ne marche pas.


9ème corollaire à la loi de Murphy : "L'Univers n'est pas indifférent à l'intelligence, il lui est activement hostile."

Hors ligne

#47 Le 20/11/2005, à 12:18

Orni

Re : Nouveau pilotes ATi 8.19.10

Donc il faut les librairies ATI et pas MESA si je comprends bien.(peux tu confirmer stp maruk ).


ENSEArena organise des LAN à Cergy Pontoise : http://ensearena.net

Hors ligne

#48 Le 20/11/2005, à 13:34

Marukakuru

Re : Nouveau pilotes ATi 8.19.10

Tout à fait, ces librairies ATI sont tout simplement installées avec le driver officiel, il n'y a aucune manip à faire pour en bénéficier. Par contre, ces librairies n'écrasent pas les librairies Mesa qui restent prioritaires.

La commande glxinfo donne les librairies utilisées. Il faut avoir un truc du genre :

OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: FireMV 2400 PCI DDR Generic
OpenGL version string: 1.3.1014 (X4.3.0-8.18.8)

dans le résultat. Si Mesa ou MesaGL est cité, c'est pas bon.

Edit : la commande fglrxinfo donne directement les lignes intéressantes wink

Dernière modification par Maruk (Le 20/11/2005, à 13:36)


9ème corollaire à la loi de Murphy : "L'Univers n'est pas indifférent à l'intelligence, il lui est activement hostile."

Hors ligne

#49 Le 20/11/2005, à 20:27

FreedomSound

Re : Nouveau pilotes ATi 8.19.10

ce serait bien que quelqu'un mette à jour le wiki http://wiki.ubuntu-fr.org/materiel/ati#2ere_possibilite_installation_de_la_derniere_version_des_pilotes_proprietaires_ati
je l'ai déjà fait la dernière fois et je ne compte pas metre à jour quelque chose qui marche pour moi.. donc si il y a une bonne âme qui a installer les drivers ati avec une technique qui marche peut mettre à jour la doc, ce serait très aimable smile puis çà pourrait servir à plein d'autre gens ! wink  c'est juste un petit réflex à prendre big_smile


humpf !
M'enfin ?!

Hors ligne

#50 Le 08/12/2005, à 20:47

skAnk

Re : Nouveau pilotes ATi 8.19.10

Un petit déterrage ...

Bonjour, j'ai suivi le tuto précedemment expliqué, tout se passe bien, jusqu'à la ligne :

sudo apt-get install gcc-3.4 module-assistant build-essential fakeroot dh-make debconf

Ou Ubuntu me donne le message :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Aucune version du paquet gcc-3.4 n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est deven u obsolète
ou qu'il n'est disponible que sur une autre source
E: Aucun paquet ne correspond au paquet gcc-3.4

J'ai regardé dans Synaptic, il semblerait que la version de gcc ai changé, j'ai donc remplacé par :

sudo apt-get install gcc-[b]4.0 [/b]module-assistant build-essential fak eroot dh-make debconf

Et maintenant, j'ai droit au message :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
gcc-4.0 est déjà la plus récente version disponible.
build-essential est déjà la plus récente version disponible.
fakeroot est déjà la plus récente version disponible.
Aucune version du paquet dh-make n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est deven u obsolète
ou qu'il n'est disponible que sur une autre source
E: Aucun paquet ne correspond au paquet dh-make

Quelqu'un aurait une idée de ce qui cloche avec dh-make ?
D'avance merci.

[edit]C'était un problème de depots, excusez du dérangement wink

Dernière modification par skAnk (Le 08/12/2005, à 21:10)


Toshiba Satellite : Intel Core 2 duo T5500, 2Go Ram, Nvidia Go7300, M-audio Audiophile USB --> Ubuntu Studio 8.04

Hors ligne

Haut de page ↑